import request from '@/utils/request'

// 分页查询车辆主机信息列表
export function pageListHost(query) {
  return request({
    url: '/cm/vehicle/host/pageList',
    method: 'get',
    params: query
  })
}

// 查询车辆主机信息列表
export function listHost(query) {
  return request({
    url: '/cm/vehicle/host/list',
    method: 'get',
    params: query
  })
}

// 查询车辆主机信息详细
export function getHost(id) {
  return request({
    url: '/cm/vehicle/host/' + id,
    method: 'get'
  })
}

// 新增车辆主机信息
export function addHost(data) {
  return request({
    url: '/cm/vehicle/host',
    method: 'post',
    data: data
  })
}

// 修改车辆主机信息
export function updateHost(data) {
  return request({
    url: '/cm/vehicle/host',
    method: 'put',
    data: data
  })
}

// 删除车辆主机信息
export function delHost(id) {
  return request({
    url: '/cm/vehicle/host/' + id,
    method: 'delete'
  })
}

// 导出车辆主机信息
export function exportHost(query) {
  return request({
    url: '/cm/vehicle/host/' + 'export',
    method: 'post',
    params: query
  })
}

// 绑定前检查
export function hostCheckBind(query) {
  return request({
    url: '/cm/vehicle/host/check',
    method: 'get',
    params: query
  })
}
